Bug 196084 - gnbd_export -U -d <partition> doesn't work
gnbd_export -U -d <partition> doesn't work
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gnbd (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-20 16:58 EDT by Nate Straz
Modified: 2009-04-16 15:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2006-0563
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-10 17:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nate Straz 2006-06-20 16:58:39 EDT
Description of problem:

When trying to export with a UUID (for multipath) a partition of a disk,
I get the following error:

[root@dash-01 ~]# gnbd_export -c -d /dev/sdc1 -e sdc-dash-01 -U
gnbd_export: ERROR cannot find sysfs block device 8:33

Version-Release number of selected component (if applicable):
gnbd-1.0.5-0

How reproducible:
Every time

Steps to Reproduce:
1. gnbd_export -c -d <disk partition> -e <name> -U
  
Actual results:

[root@dash-01 ~]# gnbd_export -c -d /dev/sdc1 -e sdc-dash-01 -U
gnbd_export: ERROR cannot find sysfs block device 8:33

Expected results:

gnbd_export: created GNBD sdc-dash-01 serving file /dev/sdc1


Additional info:
Comment 1 Ben Marzinski 2006-08-03 11:49:17 EDT
This is fixed. GNBD now will successfully get make UUIDs for partitions, as
well as full devices.
Comment 4 Red Hat Bugzilla 2006-08-10 17:12:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0563.html

Note You need to log in before you can comment on or make changes to this bug.